%define git_url git://anongit.freedesktop.org/xorg/driver/xf86-video-ati 6.12-branch

Name: x11-driver-video-ati
Version: 6.12.4
%define subrel 1
Release: %mkrel 1
Epoch: 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati_6.7

Suggests: x11-driver-video-r128
Suggests: x11-driver-video-mach64

Patch2: xf86-video-ati-6.12.2-switch-to-EXA-by-default.patch
# patch for bug #56862
Patch3: xf86-video-ati-first-pass-at-display-watermark-setup.patch

%description
x11-driver-video-ati is the X.org driver for ATI Technologies.


%prep
%setup -q -n xf86-video-ati-%{version}
%apply_patches

%build
autoreconf -ifs
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/radeon_drv.la
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.la
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_libdir}/xorg/modules/multimedia/theatre200_drv.la
%{_libdir}/xorg/modules/multimedia/theatre200_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_detect_drv.so
%{_libdir}/xorg/modules/multimedia/theatre_drv.la
%{_libdir}/xorg/modules/multimedia/theatre_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*


%changelog
* Wed Feb 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:6.12.4-1.1mdv2010.0
+ Revision: 500075
- Add a patch to fix bug #56862

* Fri Sep 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:6.12.4-1mdv2010.0
+ Revision: 448656
- new release

* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:6.12.3-1mdv2010.0
+ Revision: 436477
- new release
- drop patch 1 (merged)

* Tue Jul 14 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.12.2-4mdv2010.0
+ Revision: 395955
- Change default acceleration method to EXA.

* Tue Jul 14 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.12.2-3mdv2010.0
+ Revision: 395921
- Sync with 6.12-branch
- Fix dual head cursor corruption (mdv #50560)

* Wed Apr 08 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.12.2-1mdv2009.1
+ Revision: 365207
- New version 6.12.2

* Thu Mar 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.12.1-1mdv2009.1
+ Revision: 357791
- New version 6.12.1

* Mon Mar 16 2009 Olivier Blin <oblin@mandriva.com> 1:6.12.0-1mdv2009.1
+ Revision: 356182
- 6.12.0

* Thu Feb 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.11.0-1mdv2009.1
+ Revision: 342874
- New version 6.11.0
- use %%configure2_5x instead of %%configure to silence ./configure warnings

* Wed Jan 07 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.10.0-1mdv2009.1
+ Revision: 326556
- New version

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1:6.9.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1:6.9.0-3mdv2009.1
+ Revision: 308163
- rebuild for new X server

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - Add suggests tag for r128 and mach64 to avoid backporting issues. (#41710)

* Fri Jun 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:6.9.0-1mdv2009.0
+ Revision: 229560
- new release

* Wed Jun 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:6.8.192-1mdv2009.0
+ Revision: 229042
- new release

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:6.8.191-1mdv2009.0
+ Revision: 219466
- new release
- improved description
- add missing dot at end of description
- improved summary

* Tue Feb 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:6.8.0-1mdv2008.1
+ Revision: 173135
- new release

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:6.7.197-6mdv2008.1
+ Revision: 165422
- Attempt fix for bugs:
  o X hangs at startup with ati driver (http://qa.mandriva.com/show_bug.cgi?id=37209) and
  In this case, just used git-cherry-pick to match code in git master, where
  it has been reverted to match bios agp configuration, unless overriden
  by AgpMode option in xorg.conf.
  o X windows server will not start with new install of 2008.1 Beta 1 (http://qa.mandriva.com/show_bug.cgi?id=37292)
  Backport two commits to attempt to get a more sane output configuration,
  as the bug report shows that the driver got confused and did not understand
  that the monitor section already refered to the LVDS monitor.

* Fri Feb 08 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:6.7.197-5mdv2008.1
+ Revision: 164303
- Must be rebuilt due to an incorrect change added in previous X Server
  build. Must be rebuilt with latest X Server sdk headers.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:6.7.197-3mdv2008.1
+ Revision: 160588
- Revert to use only upstream tarball and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:6.7.197-2mdv2008.1
+ Revision: 156599
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:6.7.197-1mdv2008.1
+ Revision: 154893
- Updated BuildRequires and resubmit package.
- Update to version 6.7.197.
  Rebase mandriva git branch to xf86-video-ati-6.7.197 and remake patches
  acordingly.
- Disable debug package.
  Update BuildRequires.
  Update to ati-6.7.197 deferred as there is no git tag for the proper version
  and signficant amount of ``compiled test-only'' commits. Need to have package
  in cooker before spending significant time on this package.
- Fix linkage problems with -fvisibility=hidden due to symbols being accessed
  using LoaderSymbol (basically dlsym) as such symbols must be made of default
  visibility.
  Also some "janitor" work by adding prototypes to functions without prototypes,
  converting to static functions without prototype and used in a single file
  and fixing incorrect declarations and also moving some declarations to header
  files.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update ati module to use tarball from tag xf86-video-ati-6.7.196, and
  remake mandriva branches, and apply mandriva patches from that point.
  This probably won't make everybody happy, but was probably the major
  concern about the misunderstandings about the changes to Mandriva x11
  related packages.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Adam Williamson <awilliamson@mandriva.org> 1:6.7.196-1mdv2008.1
+ Revision: 110002
- drop git.diff (came from git so will be in this new version)
- new release 6.7.196

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1:6.7.195-4mdv2008.1
+ Revision: 98686
- minor spec cleanup
- build against new xserver (1.4)

* Fri Oct 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.7.195-3mdv2008.1
+ Revision: 97573
- patch 1: more git fixes (fixing fd.o #12770 regarding LCD monitor detection on xpress 200)

* Thu Oct 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.7.195-2mdv2008.1
+ Revision: 97064
- patch 1: git fixes (fixing fd.o #12770 regarding CRT monitor detection on xpress 200)

* Wed Oct 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.7.195-1mdv2008.1
+ Revision: 96856
- new release

* Wed Oct 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.7.194-3mdv2008.1
+ Revision: 96739
- kill old patch 0
- new release

* Wed Sep 19 2007 Paulo Andrade <pcpa@mandriva.com.br> 1:6.6.3-3mdv2008.0
+ Revision: 91016
- Possible fix to bugzilla #32553

* Mon Sep 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.6.3-2mdv2008.0
+ Revision: 84078
- explicitely conflicts with x11-driver-video-ati_6.7

* Thu Sep 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:6.6.3-1mdv2008.0
+ Revision: 81005
- do not harcode man pages extension
- reupload stable driver
- restore stable 6.6.3 driver


* Wed Jan 31 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-01-31 12:17:43 (115683)
- new upstream release (6.6.3)

* Sat Aug 26 2006 Antonio Hobmeir Neto <neto@mandriva.com> 6.6.2-1mdv2007.0
+ 2006-08-25 20:01:05 (58146)
- New release. Fixed Bugs, improves in exa, xaa and R300 support.
- from Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release (6.6.1):
    Fixes suspend/resume on PCIE
    Fixes interrupt handling
    Lots of EXA fixes
    Other bug fixes and warning removals
    - removed patch radeon-prefer-db-visuals, applied upstream
    - rebuild to fix cooker uploading
    - adding a patch for radeon driver to prefer double-buffered visuals
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository
- from Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - rebuild with the proper ABI on x86_64
- from Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

